
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>菜鸟学自动化测试（二）----selenium IDE 功能扩展 / iVAN</title>

    <meta name="description" content="菜鸟学自动化测试（二）----selenium IDE 功能扩展 通过上一节的学习,相信我们已经会selnium IDE的基本使用了,为了使selenium 更强大,其实selenium 还提供了良好的扩展能力. ----//用户扩展 用户扩展就是使用javaScript文件来创建定制化特性,添加新功能,通常情况下这种扩展就是定制化命令,但扩展并不仅限于命令. 这里有一些列的扩展:http://wiki.openqa.org/display/SEL/Contributed+User-Extensions   1.下面我们利用扩展的方式,产生一个用户随机数字 为">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">菜鸟学自动化测试（二）----selenium IDE 功能扩展</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>通过上一节的学习，相信我们已经会selnium IDE的基本使用了，为了使selenium 更强大，其实selenium 还提供了良好的扩展能力。</p>
<pre><strong>----//用户扩展</strong></pre>
<p>用户扩展就是使用javaScript文件来创建定制化特性，添加新功能，通常情况下这种扩展就是定制化命令，但扩展并不仅限于命令。</p>
<p>这里有一些列的扩展：<a href="http://wiki.openqa.org/display/SEL/Contributed+User-Extensions" rel="external nofollow noreferrer">http://wiki.openqa.org/display/SEL/Contributed+User-Extensions</a></p>
<p> </p>
<p><strong>1.下面我们利用扩展的方式，产生一个用户随机数字</strong></p>
<p>为了使用用户扩展，我们需要一个创建一个文件，当然也可以从上面的链接中下载。文件名为：user-extention.js</p>
<pre><code>//产生随机数
Selenium.prototype.doStoreRandom = function(variableName){
random = Math.floor(Math.random()*10000000);
storedVars[variableName] = random;
}

//弹出框
Selenium.prototype.doDisplayAlert = function(value, varName) {
    alert(value);
}

//在控件中输入当前日期
Selenium.prototype.doTypeTodaysDate = function(locator){
var dates = new Date();
var day = dates.getDate();
if (day &lt; 10){
day = '0' + day;
}
month = dates.getMonth() + 1;
if (month &lt; 10){
month = '0' + month;
}
var year = dates.getFullYear();
var prettyDay = day + '/' + month + '/' + year;
this.doType(locator, 'dddddd');
}</code></pre>
<p>将上面代码复制到一个记事本里，并另存为一个：user-extention.js的文件</p>
<p>在selenium IDE 中导入此文件，如下图：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyOTIyNDI0NTM2LnBuZw==.jpg"></p>
<p>选中文件后，点击“确定”按钮。你必须关闭再重启selenium IDE，以便于扩展文件被读取。任何扩展的改变，都要求关闭和重启selenium IDE.</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyOTIyNTU1MTI2LnBuZw==.jpg"></p>
<p> </p>
<p><strong>2.转换代码形式</strong></p>
<p>   选择Options 菜单下的Format，允许你选择一种语言来保护和战士测试案例。默认是HTML格式。</p>
<p>   如果你使用selenium RC 运行测试案例。这个特性可以帮助你将测试案例翻译成编程语言。</p>
<p>我们可以选择“文件”----Export test Case As...来转换我们需要的语言格式。具体实例请参考《<a href="http://www.cnblogs.com/fnng/archive/2011/10/19/2217506.html" rel="external nofollow noreferrer">selenium RC 环境搭建</a>》</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvcGljMDAyLmNuYmxvZ3MuY29tL2ltYWdlcy8yMDExLzMxMTUxNi8yMDExMTAyOTIzMDgxNjg2LnBuZw==.jpg"></p>
<p> </p>
<p><strong>3.在不同浏览器上执行selenium IDE测试。</strong></p>
<p>   selenium IDE只能在friefox上运行，但是通过selenium IDE 开发的自动化测试，可以在其他浏览器上运行。只要使用一条简单的命令唤醒 selenium RC 服务器就可以了。</p>
<p>   如果浏览器不被直接支持，那么通过使用" *custom "运行模式，你依然可以在浏览器上运行selenium 测试案例。</p>
<pre><code>

cmd=getNewBrowserSession&amp;1=*custom c:\Program Files\Mozilla Firefox\MyBrowser.exe&amp;2=http://fnng.cnblogs.com
</code></pre>
<p>如下一段代码：</p>
<pre><code>package com.example.tests;

import com.thoughtworks.selenium.*;
import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import java.util.regex.Pattern;

public class test extends SeleneseTestCase {
    @Before
    public void setUp() throws Exception {
        selenium = new DefaultSelenium("localhost", 4444, "*chrome", http://fnng.cnblogs.com/);
//可以用下面一行的代码来替换上面一行代码
//cmd=getNewBrowserSession&amp;1=*custom c:\Program Files\Mozilla Firefox\MyBrowser.exe&amp;2=http://fnng.cnblogs.com
//如果是IE浏览器的话，可以直接修改浏览器名称，代码如下：
//selenium = new DefaultSelenium("localhost", 4444, " *iexplore", http://fnng.cnblogs.com/); 这种方式更为简便。

        selenium.start();
    }

    @Test
    public void testTest() throws Exception {
        selenium.open("/");
        selenium.click("id=homepage1_HomePageDays_DaysList_DayItem_0_DayList_0_TitleUrl_0");
        selenium.waitForPageToLoad("30000");
    }

    @After
    public void tearDown() throws Exception {
        selenium.stop();
    }
}</code></pre>
<p>如何配置java环境来验证我面的一段代码，请参考，我的《<a href="http://www.cnblogs.com/fnng/archive/2011/10/19/2217506.html" rel="external nofollow noreferrer">selenium RC 环境搭建</a>》</p>
<p><strong>注意</strong>：如果通过这种方式启动浏览器，你必须手<br />
动配置浏览器，以便将selenium Server<br />
作为代理，通常这仅仅意味着打开你的浏览器参数文件，并指明“localhost:4444”作为HTTP代理。但是，不同浏览器的指令可能完全不一样，<br />
这就需要从你的浏览器支持文档中寻找更多细节。</p>
<p>================================================</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-21 08:13:59</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>菜鸟学自动化测试（二）----selenium IDE 功能扩展的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZOWQ5b.html" rel="bookmark">自动化测试学习（二） selenium IDE功能扩展</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过上一节的学习,相信我们已经会selnium IDE的基本使用了,为了使selenium 更强大,其实selenium 还提供了良好的扩展能力. ----//用户扩展 用户扩展就是使用javaScript文件来创建定制化特性,添加新功能,通常情况下这种扩展就是定制化命令,但扩展并不仅限于命令. 这里有一些列的扩展:http://wiki.openqa.org/display/SEL/Contributed+User-Extensions 1.下面我们利用扩展的方式,产生一个用户随机数字 为了使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQra7wM.html" rel="bookmark">菜鸟学自动化测试（一）----selenium IDE</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				----//前言     对于,我们做测试的新手来说,自动化测试一直是一个比较高级的领域,当然是相对于手工测试来说.最近,对自动化测试产生了兴趣.不,具体点应该是对 selenium工具产生了兴趣.为什么不是QTP呢,之前,QTP也有学习,后来还买了本&lt;QTP自动化测试进阶指南&gt;,看了几天,不知为什么看不下 去.嗯!我一直偏爱于开源的技术和工具.最早用LR做性能测试,后来发现了JMeter那个小工具后,基本上能用JMeter解决的问题,就不在用LR 了.开源的东西好处多多,当然了不足也多多.这			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgPy4Op.html" rel="bookmark">菜鸟学自动化测试（六）----selenium 命令之文字范本匹配</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				文字范本匹配 =======================================  文字范本匹配其实可以理解为通配符.我想大家都用过windows 系统自带的搜索功能. *   星号代表一个或多个字符. ?  问号代表一个字符. 范本也是经常被selenes命令使用的参数:范本允许你使用特殊字符来描述期望值,而不是准确的说明期望值. selenium中需要范本的命令包括: verifyTextPresent.verifyTitle.verifyAlert.assertConfirma			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pX0gNWp.html" rel="bookmark">菜鸟学自动化测试（七）----selenium RC 工作原理</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于selenium RC环境搭建(基于java语言),我在系统的学习selenium之前就已经做了,并在我的这个系列的文章中可以找到.那是照着一位前辈的视频操作完成的,我详细的记录的操作步骤. 在这里我们一起了解一下selenium RC的工作原理.   简介 那么之前学习的了selenium IDE与selenium命令,那么是不是我们用selenium IDE就可以完成我们的所有自动化测试工作了呢?No !Selenium IDE 没我们认为的那么强大,在实际的项目中会有各种复杂的操作,如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEKBlM.html" rel="bookmark">菜鸟学自动化测试（八）----selenium 2&period;0环境搭建（基于maven）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前我就讲过一种方试来搭建selenium rc 的环境搭建,那个文章是基于selenium RC 1.0的的方式,目前官网已经不提供1.0的下载了,我所提供的下载链接是CSDN上的. 其实,如果大家熟悉maven的话,selenium RC将变成易常简单,当然,我的操作还是基于java语言阵营的. 前提:你要有maven环境.关于maven环境的搭建,请参考本博客的关于maven的文章.左侧导航栏有maven环境搭建的相关文章.   第一步: Cmd打开命令提示符号,创建一个maven项目,命			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3rXO3z.html" rel="bookmark">菜鸟学自动化测试（九）----WebDirver</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于什么是WebDirver,上一节做了简单的描述,环境也在上一章中搭建完成. 下面我们拷贝了官网提供的一个实例.让其在我们的eclipse中运行. Selenium WebDirver 代码如下:   package MySel20Proj; import org.openqa.selenium.By; import org.openqa.selenium.WebDriver; import org.openqa.selenium.WebElement; import org.openqa.s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M94vrgb.html" rel="bookmark">菜鸟学自动化测试（五）-----selenium命令之定位页面元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				定位页面元素 对于很多selenium命令,target域是必须的.Target在web页面范围内识别UI元素,它使用locatorType=location的格式.在很多情况下,locatorType可以省略,下面举例方式来描述各种类型的locatorType. 假如,有如下一段HTML代码: html&gt; &lt;body&gt; &lt;form id= &quot;loginForm&quot; &gt; &lt;input name= &quot;username&quot; type= &			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mrv7x4M.html" rel="bookmark">菜鸟学自动化测试（三）----selenium 命令</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于,selenium 命令这一部分,为了便于像我一样的菜鸟理解,我采用通过例子讲命令的方式.边学边总结吧!相互学习.呵呵. 菜鸟Selenium 命令通常被称为selenese,有一系列运行测试案例所需的命令构成.   ----// Actions   ----// Actions   Actions描述了用户所会作出的操作. Action 有两种形式: action和actionAndWait, action会立即执行,而actionAndWait会假设需要较长时间才能得到该action的相			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVmm8b.html" rel="bookmark">菜鸟学自动化测试（四）----selenium 命令之验证页面元素</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				根据上一节计划,这里我们来学习一下如何验证页面元素. ----//验证页面元素 验证页面上的UI元素,是你在自动化测试案例过程中最常用到的特性.Selenese通过各种方式验证UI元素. 举例,你是否正在测试一下情况: (1)一个UI元素存在于页面上某个位置: (2)特定文本存在于页面上某个位置: (3)特定文本存在于页面上指定位置: 如果你要测试文本标题,那么文本内容和它所在的页面顶部位置,测试案例都需要关心.如果你要测试主页上的某个图片,但是开发人员经常改变图片所在的位置,那么你只要测试特定			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5yXqp.html" rel="bookmark" class="title">一位seoer的心声：百度想说爱你不容易</a>
					<div>
						我是从08年开始自己学习建站,我想说:我是个菜鸟,但是菜鸟也有建站的权力.网站对于菜鸟来说是自己的奋斗方向以及对自己努力付出后的一种成就的肯定与展现. 从刚开始的学习html代码,在到后来的asp,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM98xgb.html" rel="bookmark" class="title">操作Oracle数据库实现上传图片到Blob类型的字段出现的问题</a>
					<div>
						oracle|上传|上传图片|数据|数据库|问题 通过使用OleDb操作Oracle数据库,成功实现图片上传到Blob类型的字段,但有时会发生ORA-01036错误的问题,经查询是错误提示为illeg ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Pld8M.html" rel="bookmark" class="title">Delphi 2005抢先预览</a>
					<div>
						Borland公司日前发布了其最新版Windows开发工具Delphi 2005,新版软件在同一开发环境中加入了对Win32..Net.Delphi和C#的支持,同时集成了Borland应用生命周期管 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwYKqz.html" rel="bookmark" class="title">Oracle数据库安全之Vault</a>
					<div>
						Oracle用了整整一本书来阐述Valut,有兴趣的童鞋可以参考 http://docs.oracle.com/cd/E11882_01/server.112/e23090/toc.htm,我个人觉得 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo6gwDz.html" rel="bookmark" class="title">用抽出滤镜给人物换背景</a>
					<div>
						原图 最终效果 1.打开图片,ctrl+j两次,得到图层1和图层1副本. &lt;图1&gt; 2.点击红圈处,创建新图层,得到图层2把这层放于图层1与背景层之间,并填充颜色,这里填充了绿色,作为检验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7k47Kz.html" rel="bookmark" class="title">PS鼠绘逼真的红烧肉</a>
					<div>
						这篇教程教PS鼠绘学习者们使用PS鼠绘逼真开胃的红烧肉,教程绘制出来的红烧肉挺漂亮的.绘制的难度也不大.推荐过来PS鼠绘学习者们一起分享学习了.我们先来看看最终的效果图吧: 最终效果小图 最终效果大图 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4GkVp.html" rel="bookmark" class="title">PhotoShop调出人物外景清新亮丽效果数码后期制作教程</a>
					<div>
						图/文 北京名人王永亮 数码照片的后期加工已经成为现在人像摄影中不可缺少的一部分,不但可以对照片中的人物皮肤.服装.道具.背景.色彩等元素进行修饰调整, 还可以对照片的层次及空间感进行调整.通过本期的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq8gxRb.html" rel="bookmark" class="title">Photoshop制作一团火焰</a>
					<div>
						火焰是由很多细小的小火焰构成.制作之前先把火焰的层次分出来,然后由底层开始逐条绘制火焰,不同的火焰颜色及形状有一些变化. 最终效果 1.新建一个800 * 800像素的文档,背景填充黑色.新建一个图层 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnYELWM.html" rel="bookmark" class="title">12306查询失败怎么办？</a>
					<div>
						  先查询一次车票,点击[更多选项],然后添加乘车人.输入优先车次按[+],选择优先席别,最后勾选[自动提交].勾选[开启自动查询],点击[查询]按钮,网站就会自动刷票,有票时会自动提交订单,输入验证 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2x9Gb.html" rel="bookmark" class="title">管理好你的Word中&amp;quot&semi;自动更正&amp;quot&semi;功能</a>
					<div>
						提起Word的自动更正功能,想必很多老师都相当熟悉,一些 复杂内容如分子式等,用它处理非常方便.但不知你是否遇到过类似的问题,如:家里和学校的&quot;自动更正&quot;项目不一致:或者重装系统后 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRe8gz.html" rel="bookmark" class="title">javascript-求教啊！如何在js中操作本窗口的菜单栏等的隐藏和本窗口的大小&quest;</a>
					<div>
						问题描述 求教啊!如何在js中操作本窗口的菜单栏等的隐藏和本窗口的大小? 在一个jsp页面中,我需要用js控制当前窗口的菜单栏.工具栏等为隐藏状态,同时还要控制当前窗口的大小,请问如何解决? 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QJ6Dp.html" rel="bookmark" class="title">Illustrator设计球型按钮制作教程</a>
					<div>
						给各位Illustrator软件的使用者们来详细的解析分享一下设计球型按钮的制作教程. 教程分享: 1. 双击Ellipse Tool(椭圆工具)在画布上点一下,.会跳出一个Ellipse的设置对话框 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA4XnM.html" rel="bookmark" class="title">Java UDP小结</a>
					<div>
						一. UDP协议定义 UDP协议的全称是用户数据报,在网络中它与TCP协议一样用于处理数据包.在OSI模型中,在第四层--传输层,处于IP协议的上一层.UDP有不提供数据报分组.组装和不能对数据包的排 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7vAZz.html" rel="bookmark" class="title">解决：Could not find debuginfo pkg for dependency package glibc-2&period;12-1&period;132&period;el6&lowbar;5&period;3&period;i686</a>
					<div>
						场景: (gdb) break main Breakpoint 1 at 0x8048417 (gdb) r Starting program: /usr/local/src/ccode/ch11/s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bamW9Pb.html" rel="bookmark" class="title">jqeruy-如何判断表格的某一行是否已经获得焦点？</a>
					<div>
						问题描述 如何判断表格的某一行是否已经获得焦点? 我要获得某一行是否已经获得焦点,得到true或false,应该怎样写? $(this).next().attr(&quot;focus&quot;,t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0RDmjz.html" rel="bookmark" class="title">戴尔第四季度净利同比增近2倍</a>
					<div>
						本报讯 (记者牛颖惠)昨天,戴尔发布了2011财年第四季度(Q4)财报.报告显示,戴尔第四季度净利润为9.27亿美元, 同比增长177%:营收为156.92亿美元,同比增长5%.戴尔第四季度每股收益和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQB8NKM.html" rel="bookmark" class="title">最普通的网民是如何看待暴风影音的</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 作为一个普通网民,面对&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjNE8M.html" rel="bookmark" class="title">360陈杰：手游发行标准在提高 尚未涉足自研</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 新浪科技讯 7月30日消息,360 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAEQZvM.html" rel="bookmark" class="title">人类才分对错，AI只看成败，MogIA如何预测美国总统大选？</a>
					<div>
						美国总统选举结果揭晓,共和党总统候选人唐纳德·川普战胜民主党候选人.前国务卿希拉里·克林顿赢得总统选举,即将成为美国第四十五任总统. 在此之前,一套由迈阿密创新人士Sanjiv Rai开发的.名为Mo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlmONRp.html" rel="bookmark" class="title">JS中取二维数组中最大值的方法汇总&lowbar;javascript技巧</a>
					<div>
						在JavaScript中可以通过内置的 Math.max() 的最大值,但是要从多重数组中取出最大值,还是有一定的难度. 问题描述 假设你有一个数组,而且这个数组中包含了数字的子数组,而我们要做的是从 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Galgp.html" rel="bookmark" class="title">基于python脚本实现软件的注册功能（机器码&plus;注册码机制）&lowbar;python</a>
					<div>
						一.前言: 目的:完成已有python图像处理工具的注册功能 功能:用户运行程序后,通过文件自动检测认证状态,如果未经认证,就需要注册.注册过程是用户将程序运行后显示的机器码(C盘的卷序号)发回给管理 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgELNZz.html" rel="bookmark" class="title">Yii框架获取当前controlle和action对应id的方法&lowbar;php实例</a>
					<div>
						本文实例讲述了Yii框架获取当前controlle和action对应id的方法.分享给大家供大家参考.具体方法如下: 在Yiii框架开发中,你可能会要获取当前controlle或action的id,其 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrLnlp.html" rel="bookmark" class="title">js插件方式打开pdf文件&lpar;浏览器pdf插件分享&rpar;&lowbar;javascript技巧</a>
					<div>
						两种方案:一种直接链接,把pdf文件当作img文件,类似&lt;a href=&quot;&quot;/&gt;这种形式,这样链接: 复制代码 代码如下: &lt;frame src=&quot;pd ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn8kQKb.html" rel="bookmark" class="title">Java构建工具Ant之第一个build&period;xml</a>
					<div>
						ANT是一个构建工具,它有跨平台.操作简单. 安装简单.占用资源少等特点,它只有一个配置文件build.xml,我们要做的事情就是在build.xml中去定义我们想要做的事情,ANT它本身有 很多命令 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Jywb.html" rel="bookmark" class="title">c&plus;&plus;-&lbrack;C&num; wince&rsqb;这段C&plus;&plus;写的代码&comma;如果用C&num;怎么写 技术好&comma;人品好的大神出来指点一下吧</a>
					<div>
						问题描述 [C# wince]这段C++写的代码,如果用C#怎么写 技术好,人品好的大神出来指点一下吧 #define EVENTNAME_EVENT _T(&quot;PowerManager/Ac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrydEp.html" rel="bookmark" class="title">首信易支付接口</a>
					<div>
						问题描述 有哪位做过,能不能贴例子看看 解决方案 解决方案二:没做过,不过帮楼主顶一下,我也想看看!解决方案三:支付宝的好像有...解决方案四:up解决方案五:支付宝用的就是这个,你可以模仿人家的,自 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze0EN0p.html" rel="bookmark" class="title">PrinterJob如何打印JScrollPane的内容&lpar;JScrollPane里面是JTable&rpar;</a>
					<div>
						问题描述 PrinterJob如何打印JScrollPane的内容(JScrollPane里面是JTable)????请问有人会吗? 解决方案					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zenm0wb.html" rel="bookmark" class="title">关于附件上传的问题</a>
					<div>
						问题描述 我在一个添加页面里面加了一个附件上传的功能&lt;tr&gt;&lt;th&gt;&lt;formaction=&quot;upload&quot;method=&quot;post&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YVNmp.html" rel="bookmark" class="title">太工天成决定注销上海分公司</a>
					<div>
						太工天成(600392)11月22日晚间公告,公司上海分公司成立于2004年,主营业务为从事母公司经营范围内的相关业务(除生产).由于上海分公司2009年以来无实质性经营业务发生,经慎重考虑,为进一步 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4owrb.html" rel="bookmark" class="title">汇编语言 栈溢出攻击实验</a>
					<div>
						问题描述 汇编语言 栈溢出攻击实验 对于实验的原理我并不太清楚,应该是吧foo函数的返回地址篡改到malice函数的入口,最后不断循环malice函数用栈帧把栈占满导致溢出呢? 附上程序原文: voi ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.029 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
